Loading...
Searching...
No Matches
sparse_mmap_array.hpp File Reference
`#include <osmium/index/detail/mmap_vector_anon.hpp>`
`#include <osmium/index/detail/vector_map.hpp>`
Include dependency graph for sparse_mmap_array.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.
namespace | osmium::index::map
| Key-value containers with unique integer values for a key.

## Macros

#define | OSMIUM_HAS_INDEX_MAP_SPARSE_MMAP_ARRAY

## Typedefs

template<typename TId, typename TValue>
using | osmium::index::map::SparseMmapArray = VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_anon>

## Macro Definition Documentation

## OSMIUM_HAS_INDEX_MAP_SPARSE_MMAP_ARRAY

#define OSMIUM_HAS_INDEX_MAP_SPARSE_MMAP_ARRAY